summaryrefslogtreecommitdiffstats
path: root/system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild
diff options
context:
space:
mode:
author ancker.du <ancker.du@gmail.com>2014-06-10 06:38:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-12 06:51:48 +0700
commit8176a12d6ed8c28cfafacba648835afd48687389 (patch)
tree6d2196faded593c72766e5d23dd468a158d9cd84 /system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild
parent15c6d7579d8357b36c7d56e7a44566544335fe69 (diff)
downloadslackbuilds-8176a12d6ed8c28cfafacba648835afd48687389.tar.gz
slackbuilds-8176a12d6ed8c28cfafacba648835afd48687389.tar.xz
system/ttf-arphic-uming: Added (Mingti TrueType Font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild')
-rw-r--r--system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild b/system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild
new file mode 100644
index 0000000000..988ad7de5b
--- /dev/null
+++ b/system/ttf-arphic-uming/ttf-arphic-uming.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for ttf-arphic-uming
+
+# Copyright 2014 ancker.du <ancker.du@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-arphic-uming
+VERSION=${VERSION:-0.2.20080216.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $PRGNAM
+rm -rf $PRGNAM-$VERSION
+
+tar xvf $CWD/$PRGNAM\_${VERSION}.orig.tar.gz -C $PRGNAM
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttc $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTERS FONTLOG Font_Comparison_ShanHeiSun_UMing.odt Font_Comparison_ShanHeiSun_UMing.pdf INSTALL \
+ KNOWN_ISSUES NEWS README README.Bitmap license $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/fonts/conf.{d,avail}
+cat $CWD/25-ttf-arphic-uming-bitmaps.conf > $PKG/etc/fonts/conf.avail/25-ttf-arphic-uming-bitmaps.conf
+cat $CWD/25-ttf-arphic-uming-render.conf > $PKG/etc/fonts/conf.avail/25-ttf-arphic-uming-render.conf
+cat $CWD/35-ttf-arphic-uming-aliases.conf > $PKG/etc/fonts/conf.avail/35-ttf-arphic-uming-aliases.conf
+cat $CWD/41-ttf-arphic-uming.conf > $PKG/etc/fonts/conf.avail/41-ttf-arphic-uming.conf
+cat $CWD/64-ttf-arphic-uming.conf > $PKG/etc/fonts/conf.avail/64-ttf-arphic-uming.conf
+cat $CWD/90-ttf-arphic-uming-embolden.conf > $PKG/etc/fonts/conf.avail/90-ttf-arphic-uming-embolden.conf
+cd $PKG/etc/fonts/conf.d && ln -sf ../conf.avail/25-ttf-arphic-uming-bitmaps.conf && ln -sf ../conf.avail/25-ttf-arphic-uming-render.conf && ln -sf ../conf.avail/35-ttf-arphic-uming-aliases.conf && ln -sf ../conf.avail/41-ttf-arphic-uming.conf && ln -sf ../conf.avail/64-ttf-arphic-uming.conf && ln -sf ../conf.avail/90-ttf-arphic-uming-embolden.conf
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}